Bug 9851 - restart function is missing in vz initscript
: restart function is missing in vz initscript
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-05 22:19 by
Modified: 2009-05-10 09:33 (History)


Attachments
vz.init.restart.patch (345 bytes, patch)
2006-08-05 22:19, Konstantin A Lepikhov (L.A. Kostis)
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-05 22:19:30
В 456 строке забыто объявление функции restart. Приложенный патчик исправляет
эту досадную недоработку.
------- Comment #1 From 2006-08-05 22:19:52 -------
Created an attachment (id=1555) [details]
vz.init.restart.patch
------- Comment #2 From 2006-08-07 04:42:14 -------
Зачем объявлять функцию restart и затем менять stop+start на restart?
------- Comment #3 From 2006-08-07 09:28:03 -------
мне кажется, это понятно из патча - в скрипте есть ссылка на несуществующую
ф-цию restart, которая и реализует функционал в виде stop+start. Поэтому, если
добавить эту ф-цию, то последовательность stop+start можно заменить на restart
------- Comment #4 From 2006-08-07 22:40:20 -------
Это не всё, что там забыто.
------- Comment #5 From 2006-08-16 17:00:45 -------
Fixed in 3.0.10-alt5